﻿using System.Web.Mvc;

namespace Nava.Web.UI
{
    public static class ContextExtensions
    {
        public static T GetViewModel<T>(this ActionExecutedContext context) where T : class
        {
            var result = context.Result as ViewResultBase;

            if (result != null)
            {
                return result.Model as T;
            }

            return default;
        }
    }
}
