﻿using Microsoft.AspNetCore.Routing;

namespace Nava.Web.UI
{
    public static class RouteExtensions
    {
        public static RouteValueDictionary AddCreate(this RouteValueDictionary routeValues, string key, object data)
        {
            // even if we have no routes, create a route value dictionary with the clientId as a value
            if (routeValues == null)
            {
                routeValues = new RouteValueDictionary();
            }

            if (!routeValues.ContainsKey(key))
            {
                routeValues.Add(key, data);
            }

            return routeValues;
        }
    }
}
